Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.structure
Class XObject

    java.lang.Object
      |
      +--xcodegen.structure.XObject

Direct Known Subclasses:
  XClass, XMethod, XPackage, XParameter, XReference, XRule, XRuleExpr

public class XObject
extends java.lang.Object

Base class of all XCodeGen objects

Version:
  $Revision: 1.4 $
Author:
  Herve Tchepannou

Constructor Summary
`XObject()`

Method Summary
`protected void` | `add(XObject child)`
`protected void` | `addError(java.lang.String msg, XObject obj, java.util.Collection errors)`
`java.lang.String` | `getBeanName()` Return the Bean-style name of the element.
`protected XObject` | `getChild(java.lang.String name)`
`protected XObject` | `getChild(java.lang.String name, java.lang.Class type)`
`java.util.Collection` | `getChildren()`
`protected java.util.Collection` | `getChildren(java.lang.Class type)`
`java.lang.String` | `getDescription()`
`org.apache.log4j.Logger` | `getLogger()` Return the logger of the object
`java.lang.String` | `getLongName()` Return the long name of the object
`java.lang.String` | `getName()`
`XObject` | `getParent()`
`protected org.w3c.dom.Element` | `getXMLChild(java.lang.String childname, org.w3c.dom.Element parent)`
`protected java.lang.String` | `getXMLChildText(java.lang.String childname, org.w3c.dom.Element parent)`
`protected java.lang.String` | `getXMLChildText(java.lang.String childname, org.w3c.dom.Element parent, java.lang.String defaultText)`
`protected java.lang.String` | `getXMLText(org.w3c.dom.Element parent)`
`boolean` | `hasChild(XObject obj)` Check if the object has a given child
`boolean` | `init(org.w3c.dom.Element elt, XObject parent, java.util.Collection errors)` Initialize the object from a XML DOM Element
`protected boolean` | `initChildren(org.w3c.dom.Element elt, XObject parent, java.util.Collection errors, java.lang.String childname, java.lang.Class childtype)`
`protected java.lang.String` | `trimXMLText(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XObject

    public XObject()

Method Detail

### trimXMLText

    protected java.lang.String trimXMLText(java.lang.String text)

### getXMLText

    protected java.lang.String getXMLText(org.w3c.dom.Element parent)

### getXMLChildText

    protected java.lang.String getXMLChildText(java.lang.String childname,
                                               org.w3c.dom.Element parent)

### getXMLChild

    protected org.w3c.dom.Element getXMLChild(java.lang.String childname,
                                              org.w3c.dom.Element parent)

### getXMLChildText

    protected java.lang.String getXMLChildText(java.lang.String childname,
                                               org.w3c.dom.Element parent,
                                               java.lang.String defaultText)

### addError

    protected void addError(java.lang.String msg,
                            XObject obj,
                            java.util.Collection errors)

### initChildren

    protected boolean initChildren(org.w3c.dom.Element elt,
                                   XObject parent,
                                   java.util.Collection errors,
                                   java.lang.String childname,
                                   java.lang.Class childtype)
                            throws java.lang.Exception

    `java.lang.Exception`

### init

    public boolean init(org.w3c.dom.Element elt,
                        XObject parent,
                        java.util.Collection errors)
                 throws java.lang.Exception

  Initialize the object from a XML DOM Element

  Parameters:
    `elt` - DOM element containing the configuration
    `parent` - Parent object
    `errors` - list of all the errors
  Returns:
    true on success
    `java.lang.Exception`

### getLongName

    public java.lang.String getLongName()

  Return the long name of the object

  Returns:
    long name of the object

### getBeanName

    public java.lang.String getBeanName()

  Return the Bean-style name of the element. The Bean-style name has the 1st character capitalized.

  Returns:
    Bean-style name of the element

### getLogger

    public org.apache.log4j.Logger getLogger()

  Return the logger of the object

  Returns:
    logger of the object

### hasChild

    public boolean hasChild(XObject obj)

  Check if the object has a given child

  Returns:
    true if the object contains the child

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getChildren

    public java.util.Collection getChildren()

### getParent

    public XObject getParent()

### add

    protected void add(XObject child)

### getChildren

    protected java.util.Collection getChildren(java.lang.Class type)

### getChild

    protected XObject getChild(java.lang.String name)

### getChild

    protected XObject getChild(java.lang.String name,
                               java.lang.Class type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD